# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%global oname xmlsec
%global _version %(echo %{version} | tr . _ )

Name:           xml-security
Version:        1.5.7
Release:        %mkrel 1
Group:          Development/Java
Epoch:          0
Summary:        Implementation of W3C security standards for XML
License:        ASL 2.0
URL:            http://santuario.apache.org/
Source0:        http://archive.apache.org/dist/santuario/java-library/%{_version}/%{name}-src-%{_version}.zip
# Certain tests fail with new JUnit
Patch0:         %{name}-1.5.7-removed-tests.patch

BuildRequires:  maven-local
BuildRequires:  maven-shared
BuildRequires:  maven-release-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:  mvn(commons-logging:commons-logging)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(log4j:log4j)
BuildRequires:  mvn(org.bouncycastle:bcprov-jdk16)
BuildRequires:  mvn(xalan:xalan)
BuildRequires:  mvn(xerces:xercesImpl)
BuildRequires:  mvn(xml-apis:xml-apis)

BuildArch:      noarch

%description
The XML Security project is aimed at providing implementation 
of security standards for XML. Currently the focus is on the 
W3C standards :
- XML-Signature Syntax and Processing; and
- XML Encryption Syntax and Processing.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%package demo
Summary:        Samples for %{name}

%description demo
Samples for %{name}.

%prep
%setup -q -n %{name}-%{_version}
%patch0 -p0

sed -i "s|bcprov-jdk15on|bcprov-jdk16|" pom.xml

# javax.xml.crypto.MarshalException: ECKeyValue not supported
rm -r src/test/java/javax/xml/crypto/test/dsig/InteropXMLDSig11Test.java
# IllegalArgumentException: Incorrect length for compressed encoding
rm -r src/test/java/org/apache/xml/security/test/signature/ECDSASignatureTest.java

rm -r src/test/java/javax/xml/crypto/test/dsig/PKSignatureAlgorithmTest.java \
 src/test/java/org/apache/xml/security/test/dom/algorithms/DigestAlgorithmTest.java \
 src/test/java/org/apache/xml/security/test/dom/algorithms/PKSignatureAlgorithmTest.java \
 src/test/java/org/apache/xml/security/test/encryption/XMLEncryption11Test.java

%build

%mvn_file :%{oname} %{name} %{oname} 
%mvn_build

%install
%mvn_install

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%files demo
%doc LICENSE NOTICE
%{_datadir}/%{name}




%changelog
* Fri Dec 26 2014 luigiwalser <luigiwalser> 0:1.5.7-1.mga4
+ Revision: 806143
- 1.5.7 (use tarball from fedora, fixes CVE-2013-4517)

* Fri Jan 03 2014 dmorgan <dmorgan> 0:1.5.5-1.mga4
+ Revision: 564210
- New version

* Fri Dec 13 2013 dmorgan <dmorgan> 0:1.5.3-6.mga4
+ Revision: 556539
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + luigiwalser <luigiwalser>
    - BR maven-local for mvn-rpmbuild

* Sun Mar 03 2013 pterjan <pterjan> 0:1.5.3-3.mga3
+ Revision: 401301
- Add missing BUildrequires

* Mon Jan 14 2013 umeabot <umeabot> 0:1.5.3-2.mga3
+ Revision: 387145
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 dmorgan <dmorgan> 0:1.5.3-1.mga3
+ Revision: 331344
- New version

* Thu Nov 29 2012 dmorgan <dmorgan> 0:1.4.5-5.mga3
+ Revision: 323196
- Build with java7

* Sun Sep 09 2012 dmorgan <dmorgan> 0:1.4.5-4.mga3
+ Revision: 291017
- imported package xml-security

